.preloader-container {
	cursor: default;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
}

.preloader {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 20px;
	margin: 5%;
	position: relative;
}

.preloader-dots {
	height: 50px;
}

.preloader-dots .dot {
	display: inline-block;
	background: #57595a;
	height: 9px;
	width: 9px;
	margin: 0 4px;
	opacity: 1;
	border-radius: 50%;
	animation: moveit 1.8s infinite;
}

.shop-basketorder-confirm-order #ppplus-wrapper {
	position: relative;
}

.shop-basketorder-confirm-order #ppplus-wrapper .loader-wrapper {
	position: absolute;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.shop-basketorder-confirm-order #ppplus-wrapper .loader {
	border: 8px solid #f3f3f3;
	border-radius: 50%;
	border-top: 8px solid #3498db;
	width: 60px;
	height: 60px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(360deg);
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.shop-basketorder-confirm-order #stripe-wrapper {
	position: relative;
}

.shop-basketorder-confirm-order #stripe-wrapper .loader-wrapper {
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.3);
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.shop-basketorder-confirm-order #stripe-wrapper .loader {
	border: 8px solid #f3f3f3;
	border-radius: 50%;
	border-top: 8px solid #3498db;
	width: 60px;
	height: 60px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
}

.StripeElement {
	background-color: white;
	padding: 8px 12px;
	border-radius: 4px;
	border: 1px solid #dee2e6;
	box-shadow: 0 1px 3px 0 #e6ebf1;
	-webkit-transition: box-shadow 150ms ease;
	transition: box-shadow 150ms ease;
	margin-bottom: 30px;
}

.StripeElement--focus {
	box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
	border-color: #fa755a;
}

.StripeElement--webkit-autofill {
	background-color: #fefde5 !important;
}
